/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdio.h>

main()
{

system("rmmod mos7715");
system("rm -rf /usr/lib/mos7715");
system("grep -v 'cd /usr/lib/mos7715' /etc/rc.d/rc.local > /tmp/nprtmp_rclocal2 2>&1");
system("cp -f /tmp/nprtmp_rclocal2 /etc/rc.d/rc.local > /dev/null 2>&1");
system("rm -f /tmp/nprtmp_rclocal2 > /dev/null 2>&1");
system("grep -v 'cd /usr/lib/mos7715' /etc/rc.d/rc.local > /tmp/nprtmp_rclocal3");
system("cp -f /tmp/nprtmp_rclocal3 /etc/rc.d/rc.local > /dev/null 2>&1");
system("rm -f /tmp/nprtmp_rclocal3 > /dev/null 2>&1");
system("chmod 755 /etc/rc.d/rc.local > /dev/null 2>&1");

system("grep -v 'modprobe usbserial' /etc/rc.d/rc.local > /tmp/nprtmp_rclocal2 2>&1");
system("cp -f /tmp/nprtmp_rclocal2 /etc/rc.d/rc.local > /dev/null 2>&1");
system("rm -f /tmp/nprtmp_rclocal2 > /dev/null 2>&1");
system("grep -v 'modprobe usbserial' /etc/rc.d/rc.local > /tmp/nprtmp_rclocal3");
system("cp -f /tmp/nprtmp_rclocal3 /etc/rc.d/rc.local > /dev/null 2>&1");
system("rm -f /tmp/nprtmp_rclocal3 > /dev/null 2>&1");
system("chmod 755 /etc/rc.d/rc.local > /dev/null 2>&1");

system("grep -v 'modprobe lp' /etc/rc.d/rc.local > /tmp/nprtmp_rclocal2 2>&1");
system("cp -f /tmp/nprtmp_rclocal2 /etc/rc.d/rc.local > /dev/null 2>&1");
system("rm -f /tmp/nprtmp_rclocal2 > /dev/null 2>&1");
system("grep -v 'modprobe lp' /etc/rc.d/rc.local > /tmp/nprtmp_rclocal3");
system("cp -f /tmp/nprtmp_rclocal3 /etc/rc.d/rc.local > /dev/null 2>&1");
system("rm -f /tmp/nprtmp_rclocal3 > /dev/null 2>&1");
system("chmod 755 /etc/rc.d/rc.local > /dev/null 2>&1");

system("grep -v 'depmod -a' /etc/rc.d/rc.local > /tmp/nprtmp_rclocal2 2>&1");
system("cp -f /tmp/nprtmp_rclocal2 /etc/rc.d/rc.local > /dev/null 2>&1");
system("rm -f /tmp/nprtmp_rclocal2 > /dev/null 2>&1");
system("grep -v 'depmod -a' /etc/rc.d/rc.local > /tmp/nprtmp_rclocal3");
system("cp -f /tmp/nprtmp_rclocal3 /etc/rc.d/rc.local > /dev/null 2>&1");
system("rm -f /tmp/nprtmp_rclocal3 > /dev/null 2>&1");
system("chmod 755 /etc/rc.d/rc.local > /dev/null 2>&1");

system("grep -v 'mos7715.ko' /etc/rc.d/rc.local > /tmp/nprtmp_rclocal2 2>&1");
system("cp -f /tmp/nprtmp_rclocal2 /etc/rc.d/rc.local > /dev/null 2>&1");
system("rm -f /tmp/nprtmp_rclocal2 > /dev/null 2>&1");
system("grep -v 'mos7715.ko' /etc/rc.d/rc.local > /tmp/nprtmp_rclocal3");
system("cp -f /tmp/nprtmp_rclocal3 /etc/rc.d/rc.local > /dev/null 2>&1");
system("rm -f /tmp/nprtmp_rclocal3 > /dev/null 2>&1");
system("chmod 755 /etc/rc.d/rc.local > /dev/null 2>&1");



}
